Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1114691 - lttng-ust do not build on ppc64le archi
Summary: lttng-ust do not build on ppc64le archi
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: lttng-ust
Version: rawhide
Hardware: ppc64le
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Yannick Brosseau
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: F-ExcludeArch-ppc64le, PPC64LETracker
TreeView+ depends on / blocked
 
Reported: 2014-06-30 16:36 UTC by Michel Normand
Modified: 2014-12-22 02:38 UTC (History)
2 users (show)

Fixed In Version: lttng-ust-2.5.1-2.fc21
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-12-22 02:38:04 UTC


Attachments (Terms of Use)
lttng-ust-ppc64le_update_configure_ac.patch (deleted)
2014-06-30 16:36 UTC, Michel Normand
no flags Details

Description Michel Normand 2014-06-30 16:36:37 UTC
Created attachment 913481 [details]
lttng-ust-ppc64le_update_configure_ac.patch

Description of problem: lttng-ust do not build on ppc64le archi


Version-Release number of selected component (if applicable):
lttng-ust-2.4.1-2.fc21

Steps to Reproduce:
1. fedpkg clone -a lttng-ust
2. fedpkg mockbuild

Actual results: 
http://ppc.koji.fedoraproject.org/koji/taskinfo?taskID=1913658
===
checking host system alignment requirements... configure: error: unable to detect alignment requirements (unsupported architecture (powerpc64le)?)
===


Additional info:
with following spec change and attached patch the scratch build at taskid
===
diff --git a/lttng-ust.spec b/lttng-ust.spec
index 5abbef1..0951250 100644
--- a/lttng-ust.spec
+++ b/lttng-ust.spec
@@ -7,6 +7,8 @@ Summary:        LTTng Userspace Tracer library
 URL:            http://lttng.org/ust/
 Source0:        http://lttng.org/files/lttng-ust/%{name}-%{version}.tar.bz2
 
+Patch1:                lttng-ust-ppc64le_update_configure_ac.patch
+
 BuildRequires:  libuuid-devel texinfo systemtap-sdt-devel libtool
 BuildRequires:  userspace-rcu-devel >= 0.7.2
 
@@ -26,6 +28,7 @@ LTTng userspace tracing
 
 %prep
 %setup -q
+%patch1 -p1
 
 %build
 %ifarch s390 s390x
@@ -33,6 +36,10 @@ LTTng userspace tracing
 %global optflags %(echo %{optflags} | sed 's/-O2/-O1/')
 %endif
 
+%ifarch ppc64le
+# as long as patch1 not yet upstream to generate configure
+autoreconf -iv
+%endif
 #Reinitialize libtool with the fedora version to remove Rpath
 libtoolize -cvfi
 %configure --docdir=%{_docdir}/%{name} --disable-static --with-sdt
===

Comment 1 Michel Normand 2014-06-30 16:40:04 UTC
(In reply to Michel Normand from comment #0)
> ...
> Additional info:
> with following spec change and attached patch the scratch build at taskid

I forgot to specify the taskid of scratch build with proposed patch.
http://ppc.koji.fedoraproject.org/koji/taskinfo?taskID=1918453

Comment 2 Yannick Brosseau 2014-07-02 18:08:26 UTC
The patch have been applied upstream. We'll either backport it or wait for the 2.5 release (or package the 2.5-rc3)

Comment 3 Fedora Update System 2014-12-09 14:00:12 UTC
lttng-ust-2.5.1-2.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/lttng-ust-2.5.1-2.fc21

Comment 4 Fedora Update System 2014-12-12 04:00:20 UTC
Package lttng-ust-2.5.1-2.fc21:
* should fix your issue,
* was pushed to the Fedora 21 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing lttng-ust-2.5.1-2.fc21'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2014-16492/lttng-ust-2.5.1-2.fc21
then log in and leave karma (feedback).

Comment 5 Fedora Update System 2014-12-22 02:38:04 UTC
lttng-ust-2.5.1-2.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.